<!DOCTYPE html> <!-- A doctype declaration in which we specify what our document type is.-->
<html> <!--HTML stands for Hypertext Markup Language-->
<head>
    <!--This is where we place our metadata.-->
    <meta charset="UTF-8">
    <title>Peanut Butter, What's Up With That?</title>
    <link href="../Styles/how-to.css" rel="stylesheet" type="text/css"/>
    <!--Including Bootstrap via a Content Delivery Network-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<!--This is where we place content on the page that is actually visible to the end user.-->
<body>
    <!--Semantic tag example:-->
<header>
    <!--In-line CSS-->
    <h1 style="text-align:center">Peanut Butter Shortage! Hurry And Get Yourself a Jar!</h1>
</header>
<hr>
<h2>HTML Fundamentals</h2>
<hr>
<h3>What is HTML?</h3>
<p>HTML stands for Hypertext Markup Language. It is interpreted by the browser, and it is used to create the structure of web pages. Each element you see on a web page (e.g paragraph, header, image) is there because of HTML. And, yes, the formal name for these tiny components of a web page is "element".</p>
<h3>What is the basic structure of an HTML document?</h3>
    <p>An HTML document has a standard skeleton that consists of severl opening and closing tags (e.g. "<>"). These tags include:
        <ol>
            <li><b>A Doctype Declaration: </b>This tells the browser what type of document it's interpreting.</li>
            <li><b>A Root Tag: </b>The root tag of any HTML document is the "html" tag.</li>
            <li><b>A Head Tag: </b>This tag contains metadata about the document. This metadata includes information about the set of characters being used, the page's title, etc.</li>
            <li><b>A Body Tag: </b>The body tag contains other tags which add the actual structure to the web page.</li>
        </ol>
    </p>
    <hr>
    <h3>How are HTML elements rendered?</h3>
    <p>When your browser is interpeting HTML, it renders each element on the page sequentially. And this isn't just true of HTML elements -- it's also true of any scripts you might be running.</p>
    <h3>What are some common HTML tags?</h3>
    <p>I'm just a basic paragraph. We've been using this tag all along. We've also been using various header tags, of which there are six, each one getting progressively smaller. Check it out:</p>
    <!--Elements can have attributes which we can use to select them via CSS or JavaScript.-->
    <h1 id="theBiggest">I'm the biggest.</h1>
    <h2 id="theSecondBiggest">I'm the second biggest.</h2>
    <h3 onclick="func()" class="someClass">I'm the third biggest, which really means I'm pretty average in size.</h3>
    <h4>I'm the fourth largest, so you can barely see me.</h4>
    <h5 class="someClass">I'm even more obnoxiously less large.</h5>
    <h6>Read the fine print.</h6>
    <p>And what's a web page without images? Let's spice this page up by adding an image using the "img" tag! By the way, the "img" tag is a self-closing tag, which means that we don't have to use a closing tag to terminate it.</p>
    <br/>
    <p>Of course, a web page also isn't a web page without links. So let's actually link to the homemade peanut butter blog post so that we're not affected by the peanut butter shortage.</p>
    <div>
    <a href="https://pinchofyum.com/5-minute-homemade-peanut-butter" target="\_blank"><img src="file:///C:/Users/Revature/Downloads/peanut_butters.jpg" /></a>
    </div>
    <p>We can also add lists to our pages. There are two types of list: order and unordered. We've already seen an ordred list, so let's see an unordered list:</p>
    <ul>
        <li>This is an ordered list, and I'm the first bullet point!</li>
        <li>I'm the second list item in this unordered list.</li>
    </ul>
    <p>And where would we be without the "div" tag? It allows us to create sections by div-iding the page.</p>
    <div style="background-color:hotpink;">
        <p>I'm a paragraph witin in a div. This means that this div is my immediate parent.</p>
    </div>
    <div>
    <p>As of HTML, we can even use the "new and exciting" canvas tag. This allows us to create 2D/3D canvases.</p>
    <canvas id="canvasExample" width="250" height=250>
        
    </canvas>
    </div>
    <script>
        var canvas = document.getElementById("canvasExample");
        var context = canvas.getContext('2d');
        context.moveTo(100, 0);
        context.lineTo(400, 400);
        context.stroke();
    </script>
    <div>
    <p>And this, my friends, is the most magical tag of all: the c-section!</p>
    <c-section>This is a Christina section.</c-section>
    <p class="someClass">But on a more serious note, HTML is not super strict about tag names; as long you have an opening and a closing tag, it's valid.</p></div>
    <p>Here's a big element you'll need to know about: the "form" element. A form element is used to take user input.</p>
    <!--Method and action to be added later.-->
    <div>
    <form>
        <div class="form-group">
        <label for="youremail">Email Address:</label>
        <input type="email" id="youremail" class="form-control" required/>
        <label for="yourpassword">Password:</label>
        <input type="password" id="yourpassword" class="form-control" required/>
        <label for="yourselect">Is Peanut Butter Life?</label>
        <select id="yourselect" required>
            <option>Yes</option>
            <option>No</option>
        </select>
        <input id="btn" type="submit" value="Push Me For Peanut Butter" class="btn-danger form-control"/>
        </div>
    </form>
    </div>
    <hr>
    <h2>How do we add some style to our HTML document?</h2>
    <p>Alright. HTML is cool and all, but isn't this page a bit...bland? Is there any way to inject some life into it? Why, yes.</p>
    <h3>Styling Your Web Page (In 3 Ways)!</h3>
    <p>There are different ways to style your web pages. You can use:</p>
    <ol>
        <li>Inline CSS</li>
        <li>Style Blocks</li>
        <li>External Style Sheet</li>
    </ol>
    <p style="font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;">
        This is <b>inline css</b>. We're styling our element right here within our HTML file using the style attribute.
    </p>
    <p id="styledUsingStyleTag">Let's style this paragraph with a style block by using the "style" tag. We can write our CSS inside of our style tags.</p>
    <style>
        #styledUsingStyleTag{
            color: maroon;
        }
    </style>
    <p>Our third option for styling a web page is, of course, using an <b>external style sheet</b>. That said, let's head to the top of our document to load up our style sheet. We'll use the "link" tag within our "head" tag.</p>
    <p>NOTE: You can apply a style to a <span id="insideText">a portion of this line</span> by using the span tag. The span tag is an inline container that is helpful for marking up select text and other parts of documents.</p>
    <!--Bootstrap has a grid system that makes it easy to position elements on a webpage. Your column widths, according to grid system, must total 12.-->
    <div class="container">
        <div class="row">
            <div class="col-2">Column 1</div>
            <div class="col-5">Colunm 2</div>
            <div class="col-5">Column 3</div>
        </div>
    </div>
<footer>
    <h6>Text so small that it hides the fact that a jar of peanut butter costs $1,000.</h6>
</footer>
<!--It's generally good to wait until all elements have been placed on the DOM before attempting to perform DOM manipulation.-->
<script src="../Scripts/how-to.js"></script>
</body>
</html>
<!--DOM-->